package com.dgtly.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

import java.sql.Timestamp;

/**
 * 公司表对象 sys_company
 * 
 * @author dgtly
 * @date 2020-01-08
 */
public class SysCompany extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 公司编号 */
    private Long id;

    /** 公司名称 */
    @Excel(name = "公司名称")
    private String companyName;

    private Integer status;//公司状态

    private Timestamp createTime;//创建时间

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public Timestamp getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Timestamp createTime) {
        this.createTime = createTime;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCompanyName(String companyName)
    {
        this.companyName = companyName;
    }

    public String getCompanyName()
    {
        return companyName;
    }



    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("company", getCompanyName())
            .append("createTime", getCreateTime())
            .toString();
    }

}
